# Generated from antipodes-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name antipodes

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Geographical antipodes calculator
License: MIT
URL: https://github.com/joshleitzel/antipodes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(pry-debugger)
BuildArch: noarch

%description
Calculate the antipodes of any point on Earth given latitude and longitude, or
using geocoding.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/antipodes.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.3-1
- Initial package
